Opened 10 years ago

Last modified 10 years ago

#188 new patch

OpenSG 1.60 build fails with GNU make >3.80

Reported by: BoneStorm Owned by: unassigned
Priority: major Milestone:
Component: Build Version: 1.6
Keywords: make build error patch Cc:

Description

.. and any newer GNU make.

There must by a syntax change between make version <3.80 and 3.80. commonBuildDetect.mk takes care of this issue but fails with newer versions >3.80 of make. Thus the include pathes are pointing to nowhere and you get a lot of file *.h not found errors.

I fixed the problem for make 3.81, diff file is attached.

Attachments (2)

OpenSG_1.60.make.diff (2.5 KB) - added by BoneStorm 10 years ago.
patching OpenSG_1.6 build fails with make >3.80
OpenSG_1.60.make.2.diff (444 bytes) - added by BoneStorm 10 years ago.
patching OpenSG_1.6 build fails with make >3.80

Download all attachments as: .zip

Change History (3)

Changed 10 years ago by BoneStorm

patching OpenSG_1.6 build fails with make >3.80

Changed 10 years ago by BoneStorm

patching OpenSG_1.6 build fails with make >3.80

comment:1 Changed 10 years ago by BoneStorm

The first patch is broken. I wasn't allowed to replace it myself, so admins please remove.

Note: See TracTickets for help on using tickets.